Package org.eclipse.m2m.atl.dsls.tcs.extractor

# Class PrettyPrinter

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.extractor.PrettyPrinter

public class PrettyPrinter extends Object

## Constructor Summary

Constructors
Constructor
Description
`PrettyPrinter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`prettyPrint(Object source, ModelAdapter ma, OutputStream target, Map arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrettyPrinter

public PrettyPrinter()

## Method Details

### prettyPrint

public void prettyPrint(Object source, ModelAdapter ma, OutputStream target, Map arguments)